#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=sshtunnel

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# wants to write to /usr/lib

override_dh_installman:
	mkdir -p debian/python3-sshtunnel/usr/share/man/man1/
	PYTHONPATH=. help2man --version-string $(DEB_VERSION_UPSTREAM) \
		--no-info \
		--name "SSH tunnels to remote server" \
		debian/python3-sshtunnel/usr/bin/sshtunnel > \
		debian/python3-sshtunnel/usr/share/man/man1/sshtunnel.1
